%define oname SpaceAryarya-KXL
%define name spacearyarya
%define version 1.0.2
%define release 4mdk

Summary: SpaceAryarya, an arcade shooter
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Arcade
Source: %{oname}-%{version}.tar.bz2
URL: http://kxl.hn.org/
BuildRoot: %_tmppath/%{name}-%{version}-root
BuildRequires: KXL-devel >= 1.1.1


%description
2D/3D scrolling shooter with fake 3D graphics.


%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q -n %{oname}-%{version}

%build
%configure
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%name):\
needs="x11"\
%if %mdkversion < 1000
	section="Amusement/Arcade"\
%else
	section="More applications/Games/Arcade" \
%endif
title="SpaceAryarya-KXL"\
longtitle="2D/3D scrolling arcade shooter"\
command="spacearyarya"\
icon="arcade_section.png"
EOF
#fix score file
mkdir -p %buildroot%_localstatedir/games
mv %buildroot%{_datadir}/SpaceAryarya/data/.score %buildroot%_localstatedir/games/%name.score
ln -s %_localstatedir/games/%name.score %buildroot%{_datadir}/SpaceAryarya/data/.score

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}
%postun
%{clean_menus}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%{_bindir}/spacearyarya
%{_datadir}/SpaceAryarya
%attr(664, games, games) %_localstatedir/games/%name.score
%_menudir/%name

%changelog
* Mon Feb  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-4mdk
- fix menu

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-3mdk
- anniversary rebuild

* Sun Jan 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-2mdk
- fix URL

* Sat Jan 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- initial package

* Sat Dec 8 2001 SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
- (1.0.2-1)
- The description mistake of a dependency with the library in a spec file was corrected.

* Wed Aug 29 2001 SATO Katsuyoshi <fc3srx7@mwnet.or.jp>
- (1.0.1-1)
- first build
